Bug 1291218 - Fails to build against Python 3.5 due to test failure
Fails to build against Python 3.5 due to test failure
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-parse (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matěj Cepl
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1269756
  Show dependency treegraph
 
Reported: 2015-12-14 05:44 EST by David King
Modified: 2016-02-21 11:31 EST (History)
1 user (show)

See Also:
Fixed In Version: python-parse-1.6.4-4.el7 python-parse-1.6.4-4.el6 python-parse-1.6.4-4.fc22 python-parse-1.6.4-4.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-20 18:00:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add the proposed upstream patch (3.57 KB, patch)
2015-12-14 05:47 EST, David King
no flags Details | Diff

  None (edit)
Description David King 2015-12-14 05:44:54 EST
python-parse has failed to build and been broken since the update to Python 3.5 by a test failure. I filed a pull request upstream with a fix:

https://github.com/r1chardj0n3s/parse/pull/34
Comment 1 David King 2015-12-14 05:47 EST
Created attachment 1105540 [details]
add the proposed upstream patch
Comment 2 David King 2015-12-14 06:02:43 EST
A rebuild of python-parse_type against Python 3.5 is also blocked by python-parse failing to build against Python 3.5.
Comment 4 Fedora Update System 2015-12-14 10:58:43 EST
python-parse-1.6.4-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c5b7c706c1
Comment 5 Fedora Update System 2015-12-14 10:58:57 EST
python-parse-1.6.4-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3ca5445e9a
Comment 6 Fedora Update System 2015-12-14 10:59:08 EST
python-parse-1.6.4-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-55739803ad
Comment 7 Fedora Update System 2015-12-14 10:59:17 EST
python-parse-1.6.4-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-502b1e9750
Comment 8 Fedora Update System 2015-12-15 02:20:13 EST
python-parse-1.6.4-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-parse'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-55739803ad
Comment 9 Fedora Update System 2015-12-15 05:53:13 EST
python-parse-1.6.4-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-parse'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3ca5445e9a
Comment 10 Fedora Update System 2015-12-15 22:47:54 EST
python-parse-1.6.4-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-parse'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-502b1e9750
Comment 11 Fedora Update System 2015-12-22 10:36:58 EST
python-parse-1.6.4-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c5b7c706c1
Comment 12 Fedora Update System 2016-02-20 18:00:24 EST
python-parse-1.6.4-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-02-20 18:56:52 EST
python-parse-1.6.4-4.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-02-20 21:26:41 EST
python-parse-1.6.4-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-02-21 11:31:57 EST
python-parse-1.6.4-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.